/* ---GLOBAL STYLES--- */

* {
    margin: 0;
    padding: 0;
    font-family: "Rethink Sans", sans-serif;
    box-sizing: border-box;
    word-break: break-word;
    scroll-behavior: smooth;
}

:root {
    --green: #107C79;
    --cream: #E7F2F2;
}

::-webkit-scrollbar {
    width: 0;
    height: 0;
}

html {
    scrollbar-width: none;
}

body {
    -ms-overflow-style: none;
    background: var(--cream);
}

body.noscroll {
    overflow: hidden;
}

img,
svg {
    width: 100%;
    max-width: 100%;
}

a {
    cursor: pointer;
    width: fit-content;
    display: inline-block;
    text-decoration: none;
    transition: .25s;
}

button {
    cursor: pointer;
    transition: .25s;
}

h1,
h2,
h3 {
    color: var(--green);
    font-weight: bold;
    line-height: 1;
    text-wrap: balance;
}

h1 {
    font-size: 3vw;
}

h2 {
    font-size: 3vw;
}

h2.subtitle {
    font-size: 1.5vw;
}

h3 {
    font-size: 2vw;
}

p,
li {
    color: var(--green);
    font-size: 1vw;
    text-wrap: balance;
}

ul {
    color: var(--green);
    list-style-position: inside;
}

.white_info {
    background: var(--green);
}

.white_info h1,
.white_info h2,
.white_info h3,
.white_info p,
.white_info li,
.white_info ul {
    color: white;
}

.absolute_media {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.title_box {
    display: flex;
    flex-direction: column;
    gap: 1vw;
}

.title_box span {
    width: fit-content;
    color: var(--green);
    font-size: 1vw;
    padding: .25vw .75vw;
    border: .1vw solid #107C7930;
    border-radius: 10vw;
    background: #107C7930;
    backdrop-filter: blur(.5vw);
    -webkit-backdrop-filter: blur(.5vw);
}

.white_info .title_box span {
    color: white;
    border: .1vw solid #ffffff30;
    background: #ffffff30;
}

.info_box {
    display: flex;
    flex-direction: column;
    gap: 1.5vw;
}

.blur_box {
    border: .1vw solid #ffffff30;
    background: #ffffff30;
    backdrop-filter: blur(.5vw);
    -webkit-backdrop-filter: blur(.5vw);
}

.main_btn {
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: .8vw;
    font-size: 1vw;
    text-wrap: nowrap;
    padding: 1vw 1.5vw;
    border: .1vw solid #ffffff30;
    border-radius: 10vw;
    background: #ffffff30;
    backdrop-filter: blur(.25vw);
    -webkit-backdrop-filter: blur(.25vw);
}

.main_btn:hover {
    transform: scale(.98);
    background: #ffffff40;
}

.main_btn svg {
    width: 1.5vw;
}

.main_btn svg path {
    opacity: 0;
    animation: arrowMove 1.8s linear infinite;
}

.main_btn svg path:nth-child(3) {
    animation-delay: 0s;
}

.main_btn svg path:nth-child(2) {
    animation-delay: .25s;
}

.main_btn svg path:nth-child(1) {
    animation-delay: .5s;
}

.color_btn {
    background: var(--green);
}

.color_btn:hover {
    background: #107c78e1;
}

@keyframes arrowMove {
    0% {
        opacity: .25;
    }

    25% {
        opacity: 1;
    }

    50% {
        opacity: .25;
    }

    100% {
        opacity: .25;
    }
}

.nav_box {
    display: flex;
    gap: 1vw;
}

.arrow_box {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 3.5vw;
    height: 3.5vw;
    border: .1vw solid #107C7930;
    border-radius: 50%;
    background: #107C7930;
    backdrop-filter: blur(.5vw);
    transition: .5s;
    cursor: pointer;
}

.white_box .arrow_box {
    border: .1vw solid #ffffff30;
    background: #ffffff30;
}

.arrow_box:hover {
    transform: scale(.98);
    background: var(--green);
}

.white_box .arrow_box:hover {
    background: white;
}

.arrow_box svg {
    width: .7vw;
}

.prev_training svg {
    transform: translateX(-10%);
}

.next_training svg {
    transform: translateX(10%);
}

.arrow_box path {
    stroke: var(--green);
    transition: .5s;
}

.white_box .arrow_box path {
    stroke: white;
}

.arrow_box:hover path {
    stroke: white;
}

.white_box .arrow_box:hover path {
    stroke: var(--green);
}

@media (max-width: 996px) {
    h1 {
        font-size: 8vw;
    }

    h2 {
        font-size: 6.5vw;
    }

    h2.subtitle {
        font-size: 5vw;
    }

    h3 {
        font-size: 4vw;
    }

    h1 br,
    h2 br,
    h3 br {
        display: none;
    }

    p,
    li {
        font-size: 3.5vw;
    }

    .title_box {
        gap: 3vw;
    }

    .title_box span {
        font-size: 3.5vw;
        padding: 1vw 2vw;
        border: .5vw solid #107C7930;
        backdrop-filter: blur(1vw);
        -webkit-backdrop-filter: blur(1vw);
    }

    .white_info .title_box span {
        border: .5vw solid #ffffff30;
    }

    .info_box {
        gap: 4vw;
    }

    .blur_box {
        border: .5vw solid #ffffff30;
        backdrop-filter: blur(1vw);
        -webkit-backdrop-filter: blur(1vw);
    }

    .main_btn {
        gap: 2vw;
        font-size: 3.5vw;
        padding: 3vw 4vw;
        border: .5vw solid #ffffff30;
        backdrop-filter: blur(1vw);
        -webkit-backdrop-filter: blur(1vw);
    }

    .main_btn svg {
        width: 5vw;
    }

    .nav_box {
        gap: 3vw;
    }

    .arrow_box {
        width: 12vw;
        height: 12vw;
        border: .5vw solid #107C7930;
        backdrop-filter: blur(1vw);
    }

    .white_box .arrow_box {
        border: .5vw solid #ffffff30;
        background: #ffffff30;
    }

    .arrow_box svg {
        width: 2.5vw;
    }
}



/* --- HEADER STYLES--- */

header .desktop_box {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2vw 5vw;
    z-index: 99;
}

header .desktop_box .logo_box {
    width: 12vw;
}

header .desktop_box .nav_box {
    display: flex;
    align-items: center;
    gap: 2vw;
    border: .1vw solid #ffffff30;
    border-radius: 10vw;
    padding: 1vw 2vw;
    background: #ffffff30;
    backdrop-filter: blur(.5vw);
    -webkit-backdrop-filter: blur(.25vw);
    cursor: pointer;
    transition: .5s;
}

header .desktop_box .nav_box:hover {
    transform: scale(.98);
}

header .desktop_box .nav_box a {
    color: white;
}

header .desktop_box .nav_box a:hover {
    color: #ffffff90;
}

@media (max-width: 996px) {
    header .desktop_box {
        justify-content: center;
        padding: 10vw;
    }

    header .desktop_box .logo_box {
        width: 40vw;
    }

    header .desktop_box .nav_box,
    header .desktop_box .buttons_box {
        display: none;
    }
}



/* ---SCROLL STYLES---- */

.scroll_box {
    position: fixed;
    bottom: 1vw;
    right: 1vw;
    width: 3vw;
    height: 3vw;
    display: flex;
    justify-content: center;
    align-items: center;
    border: .1vw solid #00000030;
    border-radius: 50%;
    background: #00000030;
    backdrop-filter: blur(.5vw);
    -webkit-backdrop-filter: blur(.25vw);
    transition: .5s;
    cursor: pointer;
    z-index: 99;
}

.scroll_box:hover {
    transform: scale(.98);
    border: .1vw solid #ffffff40;
    background: #ffffff40;
}

.scroll_box.hidden {
    opacity: 0;
    pointer-events: none;
    transform: translateY(1vw);
}

.scroll_box svg {
    width: 1vw;
    transform: translateY(-10%);
}

.scroll_box path {
    stroke: white;
    transition: .5s;
}

@media (max-width: 996px) {
    .scroll_box {
        bottom: 5vw;
        right: 5vw;
        width: 10vw;
        height: 10vw;
        border: .5vw solid #00000030;
        backdrop-filter: blur(1vw);
        -webkit-backdrop-filter: blur(1vw);
    }

    .scroll_box:hover {
        border: .5vw solid #ffffff40;
    }

    .scroll_box.hidden {
        transform: translateY(1vw);
    }

    .scroll_box svg {
        width: 3.5vw;
    }

}




/* ---FOOTER STYLES--- */

footer {
    display: flex;
    flex-direction: column;
    gap: 1.5vw;
    padding: 5vw;
}

footer .footer_box {
    display: grid;
    grid-template-columns: 1fr 1.5fr 1.5fr;
    gap: 3vw;
}

footer .footer_item {
    display: flex;
    flex-direction: column;
    gap: 1vw;
}

footer .footer_item .logo_box {
    width: 15vw;
}

footer .social_box {
    display: flex;
    align-items: center;
    gap: 1.5vw;
}

footer .social_box i {
    font-size: 1.5vw;
}

footer .footer_item a {
    color: white;
    font-size: 1vw;
}

footer .footer_item a:hover {
    color: #ffffff90;
}

footer .footer_item h2 {
    font-size: 2vw;
}

footer .footer_item br {
    display: none;
}

footer .footer_item .main_btn:hover {
    color: white;
}

footer .credits_box {
    display: flex;
    justify-content: space-between;
    padding-top: 1.5vw;
    border-top: .1vw solid #ffffff40;
}

footer .credits_box a {
    color: white;
    font-size: 1vw;
}

footer .credits_box a:hover {
    color: #ffffff90;
}

@media(max-width: 996px) {
    footer {
        gap: 10vw;
        padding: 10vw;
    }

    footer .footer_box {
        grid-template-columns: 1fr;
        gap: 10vw;
    }

    footer .footer_item {
        align-items: center;
        gap: 4vw;
    }

    footer .footer_item .logo_box {
        width: 50vw;
    }

    footer .social_box {
        gap: 4vw;
    }

    footer .social_box i {
        font-size: 5vw;
    }

    footer .footer_item h2 {
        font-size: 5vw;
        text-align: center;
    }

    footer .footer_item a {
        font-size: 3.5vw;
        text-align: center;
    }

    footer .footer_item p {
        text-align: center;
    }

    footer .footer_item br {
        display: block;
    }

    footer .credits_box {
        flex-direction: column;
        align-items: center;
        gap: 4vw;
    }

    footer .credits_box {
        padding-top: 5vw;
        border-top: .5vw solid #ffffff40;
    }

    footer .credits_box a {
        font-size: 3.5vw;
    }
}